#!/bin/bash
#
# Distributed under the terms of the GNU public licence.
# http://www.gnu.org/licenses/gpl.txt
# Copyright 2008 Chris Clark

cd $HOME/Desktop

FirstRun=0
if test -z `ls SimsInBin` ; then FirstRun=1 ; fi

if [ $FirstRun -eq 1 ]; then

echo -e "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n"

echo "+==========================================================+"

echo "|                                                          |"
echo "|                                                          |"

echo "|                    MacSimSorter                          |"

echo "|      Open your zips and organize your Sims 1 object,     |"
echo "|      wall and floor downloads: AUTOMATICALLY!!           |"
echo "|                                                          |"
echo "|                                                          |"
echo "+==========================================================+"

sleep 7


mkdir $HOME/Desktop/SimsInBin
mkdir $HOME/Desktop/SimsOutBin
cd $HOME/Desktop/SimsOutBin

rm -rf IFFs;   mkdir IFFs
rm -rf Walls;  mkdir Walls
rm -rf Floors; mkdir Floors
rm -rf Zips;   mkdir Zips

echo -e "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n"


echo "+===============================================================+"
echo "|                                                               |"
echo "| Your SimsInBin and SimsOutBin folders have been created       |"
echo "| on your desktop.                                              |" 
echo "|                                                               |"
echo "|                                                               |"
echo "| Close this window, and put your downloaded zips in the        |"
echo "| \"SimsInBin\" folder.                                           |"
echo "|                                                               |"

echo "| Double click the MacSimSorter icon to process your downloads. |"
echo "|                                                               |"
echo "+===============================================================+"

fi
[ $FirstRun -eq 1 ] && exit

cd $HOME/Desktop/SimsInBin

echo -e "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n"
echo "+===============================================================+"
echo "|                                                               |"
echo "|   extracting Zip files.....                                   |"
echo "|                                                               |"
echo "+===============================================================+"
sleep 4
echo -e "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n"
find . -iname "*zip" -exec unzip -o {} \;
sleep 4
echo -e "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n"
echo "+===============================================================+"
echo "|                                                               |"
echo "| sorting IFF files.....                                        |"
echo "|                                                               |"
echo "+===============================================================+"
sleep 4
find . -iname "*iff" -exec cp -v {} $HOME/Desktop/SimsOutBin/IFFs \;

echo -e "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n"
echo "+===============================================================+"
echo "|                                                               |"
echo "| sorting Wall files.....                                       |"
echo "|                                                               |"
echo "+===============================================================+"
sleep 4
find . -iname "*wll" -exec cp -v {} $HOME/Desktop/SimsOutBin/Walls \;

echo -e "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n"
echo "+===============================================================+"
echo "|                                                               |"
echo "| sorting Floor files.....                                      |"
echo "|                                                               |"
echo "+===============================================================+"
sleep 4
find . -iname "*flr" -exec cp -v {} $HOME/Desktop/SimsOutBin/Floors \;

echo -e "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n"
echo "+===============================================================+"
echo "|                                                               |"
echo "| sorting Zip files.....                                        |"
echo "|                                                               |"
echo "+===============================================================+"
sleep 4

echo -e "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n"
echo "done."
echo " "
find .  -iname "*zip" -exec cp -v {} $HOME/Desktop/SimsOutBin/Zips \;
[ $FirstRun -eq 0 ] && echo "deleting SimsInBin" ; rm -rf $HOME/Desktop/SimsInBin
sleep 1

echo -e "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n"
echo "+===============================================================+"
echo "|                                                               |"
echo "| Done! :) Your sorted files are in \"SimsOutBin\"                |"
echo "|                                                               |"
echo "+===============================================================+"

